TEMPLATE        = app
CONFIG          += qt warn_on console
CONFIG          -= app_bundle
build_all:!build_pass {
    CONFIG -= build_all
    CONFIG += release
}


HEADERS         = lupdate.h \
                  $$QT_SOURCE_TREE/tools/linguist/shared/metatranslator.h \
                  $$QT_SOURCE_TREE/tools/linguist/shared/translator.h \
                  $$QT_SOURCE_TREE/tools/linguist/shared/proparser.h \
                  $$QT_SOURCE_TREE/tools/linguist/shared/profileevaluator.h \
                  $$QT_SOURCE_TREE/tools/linguist/shared/proparserutils.h \
                  $$QT_SOURCE_TREE/tools/linguist/shared/simtexth.h \
                  $$QT_SOURCE_TREE/tools/linguist/shared/xliff.h

                  
SOURCES         = lupdate.cpp \
                  fetchtr.cpp \
                  fetchtrjava.cpp \
                  main.cpp \
                  merge.cpp \
                  numberh.cpp \
                  sametexth.cpp \
                  $$QT_SOURCE_TREE/tools/linguist/shared/metatranslator.cpp \
                  $$QT_SOURCE_TREE/tools/linguist/shared/translator.cpp \
                  $$QT_SOURCE_TREE/tools/linguist/shared/proparser.cpp \
                  $$QT_SOURCE_TREE/tools/linguist/shared/profileevaluator.cpp \
                  $$QT_SOURCE_TREE/tools/linguist/shared/simtexth.cpp \
                  $$QT_SOURCE_TREE/tools/linguist/shared/xliff.cpp

PROPARSERPATH = $$QT_SOURCE_TREE/tools/linguist/shared
INCLUDEPATH += $$PROPARSERPATH
# Input
HEADERS += $$PROPARSERPATH/proitems.h \
        $$PROPARSERPATH/abstractproitemvisitor.h \
        $$PROPARSERPATH/proreader.h
SOURCES += $$PROPARSERPATH/proitems.cpp \
        $$PROPARSERPATH/proreader.cpp


TARGET          = lupdate
INCLUDEPATH     += $$QT_SOURCE_TREE/tools/linguist/shared
DESTDIR          = $$QT_BUILD_TREE/bin

win32:RC_FILE = winmanifest.rc

embed_manifest_exe {
    # The default configuration embed_manifest_exe overrides the manifest file
    # already embedded via RC_FILE
    # QMAKE_POST_LINK += $$quote(mt.exe -updateresource:$(DESTDIR_TARGET) -manifest lupdate.exe.manifest)
    QMAKE_POST_LINK += $$quote(mt.exe -updateresource:$$DESTDIR/lupdate.exe -manifest \"$${PWD}\\lupdate.exe.manifest\")
}


target.path=$$[QT_INSTALL_BINS]
INSTALLS        += target


# Bootstrapping settings

QT              -= gui core network
DEFINES         += QT_BOOTSTRAPPED QT_NO_CODECS QT_LITE_UNICODE \
                   QT_NO_STL QT_NO_COMPRESS  \
                   QT_NO_UNICODETABLES QT_NO_THREAD \
                   QT_NO_SYSTEMLOCALE QT_NO_GEOM_VARIANT \
                   QT_NODLL

include( $$QT_SOURCE_TREE/src/xml/sax/sax.pri )

INCLUDEPATH += \
               $$QT_BUILD_TREE/include \
               $$QT_BUILD_TREE/include/QtCore \
               $$QT_BUILD_TREE/include/QtGui \
               $$QT_BUILD_TREE/include/QtXml \
               $$QT_BUILD_TREE/src/corelib/global

LIBS +=  $$QMAKE_LIBS_CORE

HEADERS += \
           $$QT_SOURCE_TREE/src/corelib/codecs/qtextcodecplugin.h \
           $$QT_SOURCE_TREE/src/corelib/kernel/qtranslator.h \
           $$QT_SOURCE_TREE/src/corelib/kernel/qabstracteventdispatcher.h \
           $$QT_SOURCE_TREE/src/corelib/kernel/qmetatype.h \
           $$QT_SOURCE_TREE/src/corelib/kernel/qcoreevent.h \
           $$QT_SOURCE_TREE/src/corelib/kernel/qeventloop.h \
           $$QT_SOURCE_TREE/src/corelib/plugin/qlibrary.h \
           $$QT_SOURCE_TREE/src/corelib/plugin/qfactoryloader_p.h \
           $$QT_SOURCE_TREE/src/corelib/plugin/qpluginloader.h \
           $$QT_SOURCE_TREE/src/corelib/global/qnamespace.h \
           $$QT_SOURCE_TREE/src/corelib/global/qlibraryinfo.h \
           $$QT_SOURCE_TREE/src/corelib/kernel/qobject.h \
           $$QT_SOURCE_TREE/src/corelib/kernel/qcoreapplication.h \
           $$QT_SOURCE_TREE/src/corelib/kernel/qobjectcleanuphandler.h \
           $$QT_SOURCE_TREE/src/corelib/io/qdiriterator.h \
           $$QT_SOURCE_TREE/src/corelib/io/qsettings.h \
           $$QT_SOURCE_TREE/src/corelib/io/qtemporaryfile.h \
           $$QT_SOURCE_TREE/src/corelib/codecs/qtextcodec.h \
           $$QT_SOURCE_TREE/src/corelib/io/qurl.h \
           $$QT_SOURCE_TREE/src/corelib/io/qfile.h \
           $$QT_SOURCE_TREE/src/corelib/io/qdir.h \
           $$QT_SOURCE_TREE/src/corelib/io/qdatastream.h \
           $$QT_SOURCE_TREE/src/corelib/io/qiodevice.h \
           $$QT_SOURCE_TREE/src/corelib/io/qbuffer.h \
           $$QT_SOURCE_TREE/src/corelib/io/qtextstream.h

SOURCES += \
           $$QT_SOURCE_TREE/src/corelib/codecs/qfontlaocodec.cpp \
           $$QT_SOURCE_TREE/src/corelib/codecs/qisciicodec.cpp \
           $$QT_SOURCE_TREE/src/corelib/codecs/qlatincodec.cpp \
           $$QT_SOURCE_TREE/src/corelib/codecs/qsimplecodec.cpp \
           $$QT_SOURCE_TREE/src/corelib/codecs/qtextcodec.cpp \
           $$QT_SOURCE_TREE/src/corelib/codecs/qtextcodecplugin.cpp \
           $$QT_SOURCE_TREE/src/corelib/codecs/qtsciicodec.cpp \
           $$QT_SOURCE_TREE/src/corelib/codecs/qutfcodec.cpp \
           $$QT_SOURCE_TREE/src/corelib/thread/qthread.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qdatetime.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qtranslator.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qabstracteventdispatcher.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qmetatype.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qcoreevent.cpp \
           $$QT_SOURCE_TREE/src/corelib/plugin/qlibrary.cpp \
           $$QT_SOURCE_TREE/src/corelib/plugin/qfactoryloader.cpp \
           $$QT_SOURCE_TREE/src/corelib/plugin/qpluginloader.cpp \
           $$QT_SOURCE_TREE/src/corelib/global/qlibraryinfo.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qobject.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qobjectcleanuphandler.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qvariant.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qmetaobject.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qcoreapplication.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qeventloop.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qstring.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qstringlist.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qbuffer.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qdiriterator.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qsettings.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qfile.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qdir.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qfsfileengine.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qabstractfileengine.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qfsfileengine_iterator.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qfileinfo.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qiodevice.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qdatastream.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qtextstream.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qtemporaryfile.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qurl.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qlocale.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qbytearray.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qvsnprintf.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qlistdata.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qhash.cpp \
           $$QT_SOURCE_TREE/src/corelib/global/qglobal.cpp \
           $$QT_SOURCE_TREE/src/corelib/global/qmalloc.cpp \
           $$QT_SOURCE_TREE/src/corelib/global/qnumeric.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qregexp.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qmap.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qbitarray.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qvector.cpp \
           $$QT_SOURCE_TREE/src/corelib/tools/qbytearraymatcher.cpp

win32 {
      HEADERS += \
           $$QT_SOURCE_TREE/src/corelib/kernel/qeventdispatcher_win_p.h \
           $$QT_SOURCE_TREE/src/corelib/kernel/qwineventnotifier_p.h

      SOURCES += \
           $$QT_SOURCE_TREE/src/corelib/thread/qthread_win.cpp \
           $$QT_SOURCE_TREE/src/corelib/plugin/qlibrary_win.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qwineventnotifier_p.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qcoreapplication_win.cpp \
           $$QT_SOURCE_TREE/src/corelib/kernel/qeventdispatcher_win.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qsettings_win.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qfsfileengine_win.cpp \
           $$QT_SOURCE_TREE/src/corelib/io/qfsfileengine_iterator_win.cpp
}

unix {
    HEADERS += \
               $$QT_SOURCE_TREE/src/corelib/kernel/qsocketnotifier.h \
               $$QT_SOURCE_TREE/src/corelib/kernel/qeventdispatcher_unix_p.h

    SOURCES += \
               $$QT_SOURCE_TREE/src/corelib/thread/qthread_unix.cpp \
               $$QT_SOURCE_TREE/src/corelib/plugin/qlibrary_unix.cpp \
               $$QT_SOURCE_TREE/src/corelib/kernel/qsocketnotifier.cpp \
               $$QT_SOURCE_TREE/src/corelib/io/qfsfileengine_unix.cpp \
               $$QT_SOURCE_TREE/src/corelib/io/qfsfileengine_iterator_unix.cpp \
               $$QT_SOURCE_TREE/src/corelib/kernel/qeventdispatcher_unix.cpp

    contains(QT_CONFIG, glib) {
        SOURCES += \
                   $$QT_SOURCE_TREE/src/corelib/kernel/qeventdispatcher_glib.cpp
        HEADERS += \
                   $$QT_SOURCE_TREE/src/corelib/kernel/qeventdispatcher_glib_p.h
        QMAKE_CXXFLAGS += $$QT_CFLAGS_GLIB
        LIBS +=$$QT_LIBS_GLIB
    }
}

mac {
    LIBS += -framework CoreFoundation -framework CoreServices
    SOURCES += \
               $$QT_SOURCE_TREE/src/corelib/kernel/qcore_mac.cpp \
               $$QT_SOURCE_TREE/src/corelib/kernel/qcoreapplication_mac.cpp \
               $$QT_SOURCE_TREE/src/corelib/io/qsettings_mac.cpp
}

contains(DEFINES, QT_EVAL):include(../../corelib/eval.pri)
